Qt 5.13 | Qt Data Visualization | QtDataVisualization Namespace

Qt Data Visualization | Commercial or GPLv3

# QtDataVisualization Namespace

Contains the classes and enumerations in the Qt Data Visualization module. More...

Header: | #include <QtDataVisualization>

## Functions

int | qDefaultSurfaceFormat(bool)

## Detailed Description

## Function Documentation

### int qDefaultSurfaceFormat(bool)

This convenience function can be used to create a custom surface format suitable for use by Qt Data Visualization graphs.

The antialias parameter specifies whether or not antialiasing is activated.

Give the surface format returned by this function to the graph constructor (C++) or set it as the window format for QQuickView (QML) before calling `show()` on it.

For example, disable antialiasing on C++ application:

      #include <QtDataVisualization/qutils.h>

      // ...

      Q3DBars *graph = new Q3DBars(QtDataVisualization::qDefaultSurfaceFormat(false));

For example, enable antialiasing for direct rendering modes on QML application:

      #include <QtDataVisualization/qutils.h>

      // ...

      QQuickView viewer;
      viewer.setFormat(QtDataVisualization::qDefaultSurfaceFormat());

Note: Antialiasing is not supported in OpenGL ES2 environments.